# Test Architect workflow: nfr-assess
name: testarch-nfr
description: "Assess non-functional requirements (performance, security, reliability, maintainability) before release with evidence-based validation"
author: "BMad"

# Critical variables from config
config_source: "{project-root}/_bmad/bmm/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
document_output_language: "{config_source}:document_output_language"
date: system-generated

# Workflow components
installed_path: "{project-root}/_bmad/bmm/workflows/testarch/nfr-assess"
instructions: "{installed_path}/instructions.md"
validation: "{installed_path}/checklist.md"
template: "{installed_path}/nfr-report-template.md"

# Variables and inputs
variables:
  # NFR category assessment (defaults to all categories)
  custom_nfr_categories: "" # Optional additional categories beyond standard (security, performance, reliability, maintainability)

# Output configuration
default_output_file: "{output_folder}/nfr-assessment.md"

# Required tools
required_tools:
  - read_file # Read story, test results, metrics, logs, BMad artifacts
  - write_file # Create NFR assessment, gate YAML, evidence checklist
  - list_files # Discover test results, metrics, logs
  - search_repo # Find NFR-related tests and evidence
  - glob # Find result files matching patterns

tags:
  - qa
  - nfr
  - test-architect
  - performance
  - security
  - reliability

execution_hints:
  interactive: false # Minimize prompts
  autonomous: true # Proceed without user input unless blocked
  iterative: true

web_bundle: false
